@model List<RestoAPI.Models.DB.Menu>
@{
    ViewData["Title"] = "Menu";
}

@section Styles{ <link href="~/css/datatable.min.css" asp-append-version="true" rel="stylesheet"> }

<h2>Menu List</h2>

<br/>

@Html.Partial("_Message")

<table id="dataTable" class="table table-striped table-bordered">
    <thead>
        <tr>
            <th>Name</th>
            <th>Type</th>
            <th>Picture</th>
            <th>Price</th>
            <th>Active</th>
            <th>Last Update</th>
            <th>Action</th>
        </tr>
    </thead>
    <tbody>
        @foreach (var item in Model)
        {
            <tr>
                <td>@item.Name</td>
                <td>@(((RestoAPI.Models.DB.Menu.FoodTypes)item.FoodType).ToString())</td>
                <td><img src="@item.Picture" style="width: 100%; max-width: 200px;" /></td>
                <td>@item.Price.ToString("n0")</td>
                <td>@(item.IsActive ? "Active" : "Not Active")</td>
                <td>@(item.UpdateBy == null ? "-" : item.UpdateOn.ToString())</td>
                <td>
                    <a href="/Menu/Edit/@item.Id" class="btn btn-primary btn-sm">Edit</a>
                    &nbsp;&nbsp;
                    <a href="/Menu/Delete/@item.Id" onclick="return confirm('Are you sure delete [@item.Name]?')" class="btn btn-danger btn-sm">Del</a>
                </td>
            </tr>
        }
    </tbody>
    <tfoot>
        <tr>
            <th colspan="7">
                <a href="/Menu/Add" class="btn btn-success btn-sm">+ Add New</a>
            </th>
        </tr>
    </tfoot>
</table>

@section Scripts{ 
    <script src="~/js/datatable.min.js" asp-append-version="true"></script>
    <script>
        $(document).ready(function () {
            $('#dataTable').DataTable();
            $('#dataTable_wrapper').removeClass('form-inline');
        });
    </script>
}